Get the resources required to run a simulation

View as Markdown

Returns the compute resources (CPU, memory, storage) and compute-hours rate (in USD) applied for each hour the simulation runs.

Required scope: air:simulation_read (roles: air_org_admin, air_user)

Alternative: role air_trainee also grants access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this simulation.

Response

cpuinteger
Number of vCPUs required.
memorydouble

Amount of memory required (MiB).

storagedouble

Amount of storage required (GB).

compute_hoursdouble

Compute-hours rate (in USD) applied for each hour the simulation runs.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error